%define perlvendorarch %(perl -e 'use Config; print $Config{installvendorarch}')
%define perlvendorlib %(perl -e 'use Config; print $Config{installvendorlib}')
%define perlman1dir %(perl -e 'use Config; print $Config{installman1dir}')
%define perlman3dir %(perl -e 'use Config; print $Config{installman3dir}')
%define perlversion %(perl -e 'use Config; print $Config{version}')

%define appname Text-Autoformat

Summary: Text::Autoformat
Name: perl-%{appname}
Version: 1.12
Release: 1
Copyright: GPL
Group: Applications/Internet
Source: %{appname}-%{version}.tar.gz
BuildRoot: /var/tmp/%{appname}-%{version}-root
Requires: perl >= %{perlversion}

%description

%prep
%setup -q -n %{appname}-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf $RPM_BUILD_ROOT
PERL_VERSION=`perl -e '$version = sprintf "%vd", $^V; $version =~ s/\.[^\.]+$//; print "$version\n"'`
if [ "$PERL_VERSION" == "5.8" ]; then
  export PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
fi
make PREFIX=$RPM_BUILD_ROOT/usr INSTALLMAN3DIR=$RPM_BUILD_ROOT/usr/share/man/man3 install
find $RPM_BUILD_ROOT -name perllocal.pod -exec rm -f {} \;
find $RPM_BUILD_ROOT -name .packlist -exec rm -f {} \;


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc README
%{perlman3dir}/*
%{perlvendorlib}/Text/Autoformat.pm
